/**
 * Cognito Forms WordPress Plugin
 */

import { registerBlockType } from '@wordpress/blocks';

import { BlockAttributes } from './types';

/**
* Internal dependencies
*/
import Edit from './edit';
import Save from './save';

import { ReactComponent as CogIcon } from './assets/cogicon.svg';

registerBlockType<BlockAttributes>( 'cognito-forms/cognito-embed', {
	title: 'Cognito Forms',
	icon: CogIcon,
	description: 'Easily build powerful forms.',
	category: 'embed',
	supports: {
		// Removes support for an HTML mode.
		html: false,
	},
	attributes: {
		formId: {
			type: 'string',
		},
		seamlessEmbedCode: {
			type: 'string',
		},
		iframeEmbedCode: {
			type: 'string',
		},
		ampEmbedCode: {
			type: 'string',
		},
		embedMode: {
			type: 'number',
		},
	},
	edit: Edit,
	save: Save,
} );
